------art_14110_4555708.1145473023439
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

It turns out the native C MySQL driver is causing segfaults (at least on
Windows 2000), so this is a minor maintenance release that removes this
driver. Rails will automatically use the pure Ruby driver, instead.

If you already have Instant Rails 1.3 installed, you don't need to download
this, just delete the file:

InstantRails\ruby\lib\ruby\site_ruby\1.8\i386-msvcrt\mysql.so

There were no other changes.

On 4/11/06, Curt Hibbs <ml.chibbs / gmail.com> wrote:
>
> Instant Rails 1.3 upgrades Ruby on Rails to its newly released version
> 1.1.2 and adds the native C MySQL/Ruby driver. There were no other
> changes over Instant Rails 1.1
>
> -----------
> Instant Rails is a one-stop Rails runtime solution containing Ruby, Rails,
> Apache, and MySQL, all preconfigured and ready to run. No installer, you
> simply drop it into the directory of your choice and run it. It does not
> modify your system environment. This release of Instant Rails is for
> Windows, but there are plans for ports to Linux, BSD, and OSX.
>
> This release upgrades Rails to 1.1.2 and the included Ruby runtime to
> the One-Click Ruby Installer 1.8.4-16 rc1.
>
> Two sample Rails applications come preinstalled: cookbook (which runs
> with Rails 1.1.2) and Typo (which is still using its own copy of Rails
> 1.0).
>
> For testing purposes (both for us and for you) this also includes the
> Ruby based Mongrel web server. This is currently available from the
> command line only. See the Mongrel site for more details:
>
> http://mongrel.rubyforge.org/
>
> The Instant Rails home page has links for downloading and getting started
> with Instant Rails:
>
> http://instantrails.rubyforge.org/
>
> If you already have Instant Rails installed, then be sure to read the
> upgrade instructions:
>
> http://instantrails.rubyforge.org/wiki/wiki.pl?How_To_Upgrade
>
>
> Instant Rails includes a number of open source software packages.
> Below is a list of all included software in Instant Rails 1.3
>
> Primary Instant Rails Components
>
>    * [Instant Rails Manager] 1.3
>
>    * [Ruby 1.8.4] (from the [One-Click Ruby Installer] 1.8.4-16)
>
>    * [Ruby on Rails] 1.1.2
>
>    * [Apache] 1.3.33
>
>    * [MySQL] 4.1.9
>
>    * [MySQL/Ruby] 2.7
>
>    * [SCGI] 1.7+
>
>    * [SCGI Rails Runner] 0.4.3
>
>    * [phpMyAdmin] 2.6.1
>
> Ancillary Instant Rails Components
>
> These components are not the primary focus of Instant Rails, but are
> included because the primary components above depend upon them..
>
>    * [PHP] 4.3.10
>
>    * [Rake] 0.7.1
>
>    * [Typo] 2.6.0
>
>    * [cmdparse] 2.0.0
>
>    * [HighLine] 1.0.1
>
>    * [Mongrel] 0.3.12
>
> [Mongrel] is an experimental inclusion so that we (and you) can play
> around with it. We are considering replacing SCGI with Mongrel in the
> future.
>

------art_14110_4555708.1145473023439--